Saving and loading PostGIS and WMS connections settings

2010-01-03 10:18 AM - Alexander Bruy

Status: Closed

Priority: Low

Assignee: Marco Hugentobler

Category: Project Loading/Saving

Pull Request or Patch supplied: Resolution: fixed

Easy fix?: No Copied to github as #: 12401

Description

Loading and saving [[PostGIS]] and WMS connections

History

#1 - 2010-01-28 12:15 AM - Marco Hugentobler

I'm going to look at the patch today...

#2 - 2010-01-28 12:22 AM - Paolo Cavallini

I think it would be good also to save window properties: WMS connections have often too narrow columns, and they have to be widened every time to see

layer names.

#3 - 2010-01-28 06:28 AM - Alexander Bruy

Replying to [comment:3 mhugent]:

I'm going to look at the patch today...

The patch is outdating now, because from 3 January there are some

changes in source tree related to the connection management. If need

I can rewrite this patch against sources HEAD

#4 - 2010-01-29 08:19 AM - Marco Hugentobler

Hi Alex

The patch is outdating now, because from 3 January there are some changes in source >tree related to the connection management. If need I can

rewrite this patch against >sources HEAD

Thank you. Yes, please update the patch to current svn trunk

#5 - 2010-01-30 10:21 AM - Alexander Bruy

Replying to [comment:6 mhugent]:
Thank you. Yes, please update the patch to current svn trunk

Done. I've update patch agains current trunk and upload it

#6 - 2010-01-31 01:01 AM - Marco Hugentobler

In the patch, the modification to 'src/ui/qgswmssourceselectbase.ui' is contained twice. Shouldn't there be modifications to

src/ui/qgspgsourceselectbase.ui instead?

#7 - 2010-01-31 05:52 AM - Alexander Bruy

Sorry, it's my typo. Modifications should go to the src/ui/qgspgsourceselectbase.ui

#8 - 2010-02-01 01:40 AM - Marco Hugentobler

Applied with small modifications in commit:121044ed (SVN r12856). Thanks, Alexander!

#9 - 2010-03-11 09:52 AM - Marco Hugentobler

- Resolution set to fixed

- Status changed from Open to Closed

Files

load_save_connections.diff 25.6 KB 2010-01-31 Alexander Bruy
